So I have 5.5.0....

Discussion in 'Wii U - Hacking & Backup Loaders' started by Gus122000, Oct 2, 2015.

  1. Gus122000
    OP

    Gus122000 GBAtemp Advanced Fan

    Member
    594
    5
    Jun 15, 2007
    How boned am I? Will we be getting something in the near future that will be compatible with this update.
     
    SMVB64 and Margen67 like this.
  2. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,445
    4,761
    Mar 17, 2010
    Norway
    Alola
    No way to know. It seems the kernel exploit that's currently public is patched on 5.5.0, though.
    I'm going to try to stay on 5.5.0 unless I really want to update for some reason, but I'm not too worried. A brand new Wii U without the gamepad goes for $100 on eBay.
    I'm sure there'll be something for 5.5.0 sooner or later but I'm not going to wait forever if it means I won't be able to play online or play new games for an undetermined amount of time.
     
    Last edited by The Real Jdbye, Oct 2, 2015
    Margen67 likes this.
  3. DjoeN

    DjoeN Captain Haddock!

    Member
    5,134
    1,477
    Oct 21, 2005
    Belgium
    Somewhere in this potatoland!
    mine is on 5.4.0, think i'll update anyway when Animal Crossing Amiibo Festival comes out.
    (Kids are huge Animal Crossing fans, My Wife got today the new Animal Crossing Happy Home Designer bundle (N3DS XL with Game) for the kids + Animal Crossing Happy Home Designer game bundle with NFC reader so the others can play it on the O3DS
    I still use my old Wii for Gamecube and other homebrew stuff, haven't touched my Wii-U for ages (my kids do for Just Dance and a few other games)
     
  4. pokemoner2500

    pokemoner2500 GBAtemp Advanced Fan

    Member
    845
    273
    Aug 14, 2013
    United States
    Last edited by pokemoner2500, Oct 2, 2015
  5. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,445
    4,761
    Mar 17, 2010
    Norway
    Alola
    I think that's only userland, they don't have a working kernel exploit on 5.5.0 yet (even on 5.4.0 the kernel exploit is unstable)

    You're on the last firmware version that 100% confirmed has a kernel exploit, they have said they are going to release it, so I would stay on that version if the only reason to update is Amiibo Festival.
     
    Last edited by The Real Jdbye, Oct 2, 2015
  6. pokemoner2500

    pokemoner2500 GBAtemp Advanced Fan

    Member
    845
    273
    Aug 14, 2013
    United States
    Still an exploit :P
     
  7. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,445
    4,761
    Mar 17, 2010
    Norway
    Alola
    Not a useful one though ;)
     
  8. Keylogger

    Keylogger GBAtemp Advanced Maniac

    Member
    1,714
    365
    May 3, 2006
    France
    What is the point of keeping an exploit private?
     
  9. pokemoner2500

    pokemoner2500 GBAtemp Advanced Fan

    Member
    845
    273
    Aug 14, 2013
    United States
    Honestly I can't answer that other than they are either dicks or people won't let them, I know @NWPlayer123 isn't a dick so she's going to have to answer that one for you.
     
  10. Maximilious

    Maximilious GBAtemp Addict

    Member
    2,088
    880
    Nov 21, 2014
    United States
    Niether. They keep them private in hopes they won't be patched for a long time, meaning later FW's will be exploitable by them in the future. In all it's for the better of the scene, not the worse. This is why they typically will release them some time after they've been patched by Ninty.
     
  11. EmceeKerser

    EmceeKerser GBAtemp Maniac

    Member
    1,374
    503
    Jun 3, 2014
    The fuckin' Blue Mountains brah
    If they release all of the exploits at once they'll get patched and then we're fucked.
    Keep them for one at a time release, or up until emunand or something
     
  12. NWPlayer123

    NWPlayer123 GBAtemp Addict

    Member
    2,629
    6,226
    Feb 17, 2012
    United States
    The Everfree Forest
    Basically. As I said back in the main homebrew discussion thread a while ago, end goal is emuNAND, they're private so they're not patched while we work towards it (makes it way easier if we don't have to keep making more Webkit sploits and the kexploit makes IOSU research slightly easier)
     
  13. BENETNATH

    BENETNATH Advanced Member

    Newcomer
    67
    36
    Nov 21, 2014
    France
    Thanks NWPlayer123 , 5.5 users will just wait patiently and hopefully, emuNAND may be a reality not too far away
     
  14. CosmoCortney

    CosmoCortney The Hacker Furry

    Member
    1,538
    1,462
    Apr 18, 2013
    Germany
    on the cool side of the pillow
    Releasing it now would be a step backwards because of Nintendo patching it. In the end less fw versions will be supported. The longer you wait for the release the more FWs will be hackable.

    Everyone should be thankful for the 5.4.0 and further exploits to be private until they are patched. This actually means the team is supporting the community a lot.
    If the 5.5.0 exploit was released now i could see people crying of having updated to 5.X.X
     
    TotalInsanity4 likes this.
  15. an07her

    an07her GBAtemp Regular

    Member
    105
    15
    Apr 9, 2014
    What about 5.4.0? I'm on that cuz of Mario Maker. People here say they have partial exploit. Other sources say 5.4.0 patched everything. I don't know if it's worth waiting more now or update so I can play... Feel bad about updating two weeks ago to 5.4.0. Didn't have hopes that so many things will be released now.
     
  16. Maximilious

    Maximilious GBAtemp Addict

    Member
    2,088
    880
    Nov 21, 2014
    United States
    5.4.0 has the same Kernel exploit as 5.3.2. It also has a userland bug that can be developed into an exploit allowing all the same stuff as 5.3.2. 5.5 patched everything but has the same 5.4.0 userland bug. Stay on 5.4 and block Ninty servers while you still can.
     
    an07her likes this.
  17. an07her

    an07her GBAtemp Regular

    Member
    105
    15
    Apr 9, 2014
    Thanks! I'm disconnected all the time.
     
  18. cowboy619

    cowboy619 Advanced Member

    Newcomer
    96
    25
    Jan 22, 2014
    Cape Town, Western Cape
    Yeah also bummed i updated. But the future looks good. A little patience wont harm anyone :)
     
  19. NintendU_the_great

    NintendU_the_great OFFICIAL GBATEMP TROLLER

    Banned
    255
    302
    Oct 4, 2015
    India
    in yer toilet!
    nm
     
    Last edited by NintendU_the_great, May 18, 2017